#include <iostream>
#include <LiDIA/bigint.h>

using namespace std;
using namespace LiDIA;

int main(void)
{
bigint n;
n = 1335123;
n = n*n*n*n*n*n*n*n*n*n*n*n;
n = n*n*n*n*n*n*n*n*n*n*n*n;
cout << "El numero es " << n << endl;
return 0;
}

